Introdução

TeViewManager

O Componente TeViewManager é baseado na Tecnologia Terralib (INPE). Encapsulando todas as principais funcionalidades para a manipulação de Dados Geográficos. O Componente TeViewManager acessa e manipula Dados Geográficos armazenados em um Banco Terralib, sendo que todos os dados podem ser acessados, manipulados, computados, salvos ou removidos do banco de dados.

O Componente é desenvolvido pela FUNCATE - Fundação de Ciência, Aplicações e Tecnologia Espaciais, em Visual C++ podendo ser utilizado em todos os Ambientes RAD's que suportem a Tecnologia ActiveX.

Copyright © 2006, FUNCATE

This help file has been generated by the freeware version of HelpNDoc


Entendendo o Componente

O Componente TeViewManager é um componente desenvolvido em Visual C++, encapsulando diversas funcionalidades Terralib. Este é um componente Não Visível em Tempo de Execução, sendo utilizado para acessar, manipular e salvar dados geográficos contidos em um banco de dados.

O componente utiliza a Tecnologia Microsoft ADO para acessar diversos bancos de dados, atualmente os bancos de dados suportados são :

        • Access
        • SQL Server
        • Oracle
        • FireBird

Dentre as diversas ferramentas RAD que se encontram disponiveis no mercado atualmente, o componente já foi testado e homolado para os seguintes ambientes :

        • Visual Basic 6.0
        • Deplhi 7.0
        • C++ Builder 6.0
        • Dataflex


Programando com TeViewManager

Para utilizar o Componente TeViewManager basta adiciona-lo ao projeto e configurar o tipo de Banco de Dados que irá acessar e estabelecer a comunicação com o Banco de Dados.

Para estabelecer a comunicação com o Banco de Dados, deve-se setar o Componente para abrir a conexão, deste modo uma nova conexão com o Banco de Dados será estabelecida.

O Componente TeViewManager funciona como Painel de Controle, permitindo ao usuário adicionar / remover temas e vistas, alterar cores para melhor visualização, salvar / remover vistas e temas do banco de dados, entre outras funcionalidades.


Visual Basic

MICROSOFT VISUAL

BASIC 6.0

Para utilizar o componente no Visual Basic o desenvolvedor precisa associa-lo ao projeto. Exemplo :

1. Crie um novo projeto em branco

2. No item de Menu Project, selecione a opção "Components" Crtl + T

3. Selecione o Componente na tela "Components"

4. Após selecionado o Componente TeViewManager, este aparecerá na barra de componentes

5. Para utilizar o Componente TeViewManager, selecione na Barra de Ferramentas e arraste até o formulário


Delphi

DELPHI 7.0

Para utilizar o Componente TeViewManager no ambiente de Programação Delphi 7.0, é necessário importar o componente para dentro do ambiente, diferenciando assim o modo de associação do componente com o Ambiente Visual Basic 6.0.

1. Para usar o Componente TeViewManager, se faz necessário importá-lo para dentro do Ambiente Delphi. Para isto na opção de Menu "Component" selecione o item "Import ActiveX Control..."

2. Selecionada esta opção de Menu, no formulário "Import ActiveX" selecione o componente TeViewManager para importá-lo.

Note que o Formulário listará todos os componentes ActiveX instalados em seu sistema.

3. Selecionando o Componente TeViewManager para importação, se faz necessário selecionar em qual paleta do Delphi o ícone do componente irá aparecer, neste caso digite "Terralib", que no final um novo item da Paleta será criado com este nome.

4. Após selecionada a opção install, será necessário compilar o novo Componente, de acordo com a tela apresentada a seguir.

5. Após a importação e compilação um novo item será criado na Paleta de Componentes, chamado Terralib

6. Após todo este processo, basta selecionar o componente na Paleta e adicioná-lo ao formulário.


Propriedades

Todas as propriedades aqui descritas, contêm exemplos para o funcionamento dentro do Ambiente do Visual Basic 6.0. Somente as propriedades que diferem entre o Visual Basic e Delphi, terão dois exemplos, um para cada linguagem.


connection

Property Connection (TeViewManager)

  • Visual Basic Sintaxe:

      • Property connection As Variant

  • Descrição

Propriedade que recebe uma conexão com o Banco de Dados estabelecida pelo Ambiente RAD (Visual Basic 6.0).

  • Exemplo Visual Basic 6.0:

Option Explicit

Private Sub Command1_Click()

Dim conexao As New ADODB.connection

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

TeViewManager1.connection = conexao

conexao.Close

Set conexao = Nothing

End Sub

  • Exemplo Delphi 7.0:

procedure TForm1.Button1Click(Sender: TObject);

begin

TeViewManager1.ControlInterface.connection:=ADOConnection1.ConnectionObject

end;


provider

Property Provider (TeViewManager)

  • Visual Basic Sintaxe:

      • Property provider As Integer

  • Descrição

Propriedade que determina qual tipo de banco de dados o componente está se conectando. Para os diversos tipos de banco de dados temos :

Banco de Dados | Código
Access | 0
SQL Server | 1
Oracle | 2
FireBird | 3

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

Dim conexao As New ADODB.connection

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

TeViewManager1.provider = 0

TeViewManager1.connection = conexao

conexao.Close

Set conexao = Nothing

End Sub


userName

Property User (TeViewManager)

  • Visual Basic Sintaxe:

      • Property user As String

  • Descrição

Propriedade que recebe o usuário do Banco de Dados estabelecido pelo Ambiente RAD (Visual Basic 6.0).

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

Dim conexao As New ADODB.connection

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

TeViewManager1.provider = 0

TeViewManager1.user = "sa"

TeViewManager1.connection = conexao


start

Method Start (TeViewManager)

  • Visual Basic Sintaxe:

      • method start( ) As Long

  • Descrição

Método para carregar em memória todos os dados de vistas, temas e visuais. Sem esta inicialização o componente não retorna nada.

    • Retorno

Retorna verdadeiro caso tenha sido inicializado com sucesso.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

If TeViewManager1.start Then

MsgBox "Inicialização realizada com sucesso!"

Else

MsgBox "Falha na Inicialização!"

End If

'fecha a conexao


getActiveViewName

Method GetActiveViewName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getActiveViewName( ) As String

  • Descrição

Método para obter o nome da vista ativa em memória, que foi configurada como vista corrente.

    • Retorno

Retorna, se possível, o nome da vista corrente.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'obtem o nome da vista ativa

Dim viewname As String

viewname = TeViewManager1.getActiveViewName

MsgBox "O nome da vista ativa é: " + CStr(viewname)

'fecha a conexao


getLayerCount

Method GetLayerCount (TeViewManager)

  • Visual Basic Sintaxe:

      • method getLayerCount( ) As Long

  • Descrição

Método para obter a quantidade de Planos de Informação existentes em um banco de dados.

    • Retorno

Retorna, se possível, a quantidade de Planos de Informação encontrados.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'obtem a quantidade de layers existentes em memória

Dim nlayer As Long

nlayer = TeViewManager1.getLayerCount

MsgBox CStr(nlayer) + " planos encontrados!"

'fecha a conexao


getLayerName

Method GetLayerName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getLayerName(index As Long) As String

  • Descrição

Método para obter o nome de um Plano de Informação entre uma lista de Planos, de acordo com o índice passado.

    • Parâmetros

Parâmetro | Descrição
index | Índice do Plano de Informação. Deve estar no intervalo de 0 à quantidade de itens da lista -1.

    • Retorno

Retorna o nome do Plano de Informação, de acordo com as informações fornecidas.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'obtem o nome do layer, de acordo com o indice

Dim layername As String

layername = TeViewManager1.getLayerName(0)

MsgBox "O nome do layer é: " + CStr(layername)

'fecha a conexao


getThemeCount

Method GetThemeCount (TeViewManager)

  • Visual Basic Sintaxe:

      • method getThemeCount( ) As Long

  • Descrição

Método para obter a quantidade de Temas existentes na Vista corrente.

    • Retorno

Retorna, se possível, a quantidade de Temas encontrados.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'obtem a quantidade de temas existentes para a vista corrente

Dim nthemes As String

nthemes = TeViewManager1.getThemeCount

MsgBox CStr(nthemes) + " temas encontrados!"

'fecha a conexao


getThemeName

Method GetThemeName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getThemeName(index As Long) As String

  • Descrição

Método para obter o nome de um Tema existente na Vista ativa, entre uma lista de Temas, de acordo com o índice passado.

    • Parâmetros

Parâmetro | Descrição
index | Índice do Tema. Deve estar no intervalo de 0 à quantidade de itens da lista -1.

    • Retorno

Retorna o nome do Tema, de acordo com as informações fornecidas.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'obtem o nome do thema, de acordo com o indice

Dim themename As String

themename = TeViewManager1.getThemeName(0)

MsgBox "O nome do tema é: " + CStr(themename)

'fecha a conexao


existLine

Method ExistLine (TeViewManager)

  • Visual Basic Sintaxe:

      • method existLine(theme As String) As Long

  • Descrição

Método para verificar se existe a representação linha para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
theme | Nome do Tema a ser procurada a representação linha

    • Retorno

Retorna verdadeiro se existir a representação linha para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'verifica se existe representação linha para o tema "Theme_waterline"

If TeViewManager1.existLine("Theme_waterline") Then

MsgBox "Existe representação linha para o tema especificado!"

Else

MsgBox "Não existe representação linha para o tema especificado!"

End If

'fecha a conexao


getLineColor

Method GetLineColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method getLineColor(themeName As String) As OLE_COLOR

  • Descrição

Método para obter a cor associada à representação linha, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a cor associada à representação linha

    • Retorno

Retorna a cor associada à representação linha do tema, no formato OLE_COLOR.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'obtem a cor associada a representaçao linha para o tema "Theme_waterline"

Dim color As OLE_COLOR

color = TeViewManager1.getLineColor("Theme_waterline")

'fecha a conexao


getLineStyle

Method GetLineStyle (TeViewManager)

  • Visual Basic Sintaxe:

      • method getLineStyle(themeName As String) As Long

  • Descrição

Método para obter o estilo da linha, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurado o estilo da linha

    • Retorno

Retorna o estilo de plotagem da linha do tema. Pode retornar os seguintes valores:

0 - Linha Sólida

1 - Linha Tracejada

2 - Linha Pontilhada

3 - Linha Traço-Ponto

4 - Linha Traço-Ponto-Ponto

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'obtem o estilo da linha para o tema "Theme_waterline"

Dim line As Long

line = TeViewManager1.getLineStyle("Theme_waterline")

Select Case line

Case 0

MsgBox "O estilo da linha é Linha Sólida!"

Case 1

MsgBox "O estilo da linha é Linha Tracejada!"

Case 2

MsgBox "O estilo da linha é Linha Pontilhada!"

Case 3

MsgBox "O estilo da linha é Linha Traço-Ponto!"

Case 4

MsgBox "O estilo da linha é Linha Traço-Ponto-Ponto!"

End Select

'fecha a conexao


getLineWidth

Method GetLineWidth (TeViewManager)

  • Visual Basic Sintaxe:

      • method getLineWidth(themeName As String) As Long

  • Descrição

Método para obter a largura da linha, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a largura da linha

    • Retorno

Retorna a largura da linha de um tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'obtem a largura da linha para o tema "Theme_waterline"

Dim wline As Long

wline = TeViewManager1.getLineWidth("Theme_waterline")

MsgBox "A largura da linha do tema é: " + CStr(wline)

'fecha a conexao


visibleLine

Method VisibleLine (TeViewManager)

  • Visual Basic Sintaxe:

      • method visibleLine(themeName As String) As Long

  • Descrição

Método para verificar se a representação linha está visível para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
theme | Nome do Tema a ser procurada a representação linha

    • Retorno

Retorna verdadeiro se a representação linha estiver visível para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'verifica se a representação linha está visível para o tema "Theme_waterline"

If TeViewManager1.visibleLine("Theme_waterline") Then

MsgBox "A representação linha está visível para o tema!"

Else

MsgBox "A representação linha não está visível para o tema!"

End If

'fecha a conexao


setLineColor

Method SetLineColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method setLineColor(themeName As String, color As OLE_COLOR) As Long

  • Descrição

Método para configurar a cor da representação linha, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a cor da representação linha
color | Cor da linha

    • Retorno

Retorna verdadeiro se possível configurar a cor da linha.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'configura a cor da linha para o tema "Theme_waterline"

Dim color As OLE_COLOR

color = 220

If TeViewManager1.setLineColor("Theme_waterline", color) Then

MsgBox "Configuração de cor realizada!"

Else

MsgBox "Falha ao configurar cor!"

End If

'fecha a conexao


setLineWidth

Method SetLineWidth (TeViewManager)

  • Visual Basic Sintaxe:

      • method setLineWidth(themeName As String, width As Long) As Long

  • Descrição

Método para configurar a largura da representação linha, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a largura da representação linha
width | Largura da linha

    • Retorno

Retorna verdadeiro se possível configurar a largura da linha.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'configura a largura da linha para o tema "Theme_waterline"

If TeViewManager1.setLineWidth("Theme_waterline", 2) Then

MsgBox "Configuração de largura realizada!"

Else

MsgBox "Falha ao configurar largura!"

End If

'fecha a conexao


setLineStyle

Method SetLineStyle (TeViewManager)

  • Visual Basic Sintaxe:

      • method setLineStyle(themeName As String, style As Long) As Long

  • Descrição

Método para configurar ao estilo de plotagem da representação linha, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o estilo de plotagem da representação linha
style | Estilo de plotagem da linha. Pode possuir os seguintes valores: 0 - Linha Sólida 1 - Linha Tracejada 2 - Linha Pontilhada 3 - Linha Traço-Ponto 4 - Linha Traço-Ponto-Ponto

    • Retorno

Retorna verdadeiro se possível configurar o estilo de plotagem da linha.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'configura o estilo de plotagem da linha para o tema "Theme_waterline"

If TeViewManager1.setLineStyle("Theme_waterline", 1) Then

MsgBox "Configuração de estilo da linha realizada!"

Else

MsgBox "Falha ao configurar estilo da linha!"

End If

'fecha a conexao


save

Method Save (TeViewManager)

  • Visual Basic Sintaxe:

      • method save( ) As Long

  • Descrição

Método para salvar no banco de dados todas as alterações realizadas nas vistas e nos temas.

    • Retorno

Retorna verdadeiro caso tenha salvo com sucesso.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'configura o estilo de plotagem da linha para o tema "Theme_waterline"

TeViewManager1.setLineStyle "Theme_waterline", 1

'salva no banco de dados as alterações realizadas

TeViewManager1.Save

'fecha a conexao


existPolygon

Method ExistPolygon (TeViewManager)

  • Visual Basic Sintaxe:

      • method existPolygon(themeName As String) As Long

  • Descrição

Método para verificar se existe a representação polígono para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação polígono

    • Retorno

Retorna verdadeiro se existir a representação polígono para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'verifica se existe a representação polígono para o tema "Theme_Setores"

If TeViewManager1.existPolygon("Theme_Setores") Then

MsgBox "Existe a representação polígono para o tema!"

Else

MsgBox "Não existe a representação polígono para o tema!"

End If

'fecha a conexao


visiblePolygon

Method VisiblePolygon (TeViewManager)

  • Visual Basic Sintaxe:

      • method visiblePolygon(themeName As String) As Long

  • Descrição

Método para verificar se a representação polígono está visível para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação polígono

    • Retorno

Retorna verdadeiro se a representação polígono estiver visível para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'verifica se a representação polígono está visível para o tema "Theme_Setores"

If TeViewManager1.visiblePolygon("Theme_Setores") Then

MsgBox "A representação polígono está visível para o tema!"

Else

MsgBox "A representação polígono não está visível para o tema!"

End If

'fecha a conexao


getPolygonColor

Method GetPolygonColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPolygonColor(themeName As String) As OLE_COLOR

  • Descrição

Método para obter a cor associada à representação polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a cor associada à representação polígono

    • Retorno

Retorna a cor associada à representação polígono do tema, no formato OLE_COLOR.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem a cor associada à representação polígono para o tema "Theme_Setores"

Dim color As OLE_COLOR

color = TeViewManager1.getPolygonColor("Theme_Setores")

'fecha a conexao


getViewCount

Method GetViewCount (TeViewManager)

  • Visual Basic Sintaxe:

      • method getViewCount( ) As Long

  • Descrição

Método para obter a quantidade de Vistas existentes para o usuário configurado no Componente.

    • Retorno

Retorna, se possível, a quantidade de Vistas encontradas.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'verifica a quantidade de vistas existentes para o usuário "sa"

Dim qview As Long

qview = TeViewManager1.getViewCount

MsgBox CStr(qview) + " vistas encontradas!"

'fecha a conexao


getViewName

Method GetViewName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getViewName(index As Long) As String

  • Descrição

Método para obter o nome de uma Vista existente para o usuário configurado, de acordo com o índice passado.

    • Parâmetros

Parâmetro | Descrição
index | Índice da Vista. Deve estar no intervalo de 0 à quantidade de itens da lista -1.

    • Retorno

Retorna o nome da Vista, de acordo com as informações fornecidas.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'obtem o nome da vista de índice 0

Dim viewname As String

viewname = TeViewManager1.getViewName(0)

MsgBox "O nome da vista é: " + viewname

'fecha a conexao


getPolygonStyle

Method GetPolygonStyle (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPolygonStyle(themeName As String) As Long

  • Descrição

Método para obter o estilo de preenchimento do polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurado o estilo do polígono

    • Retorno

Retorna o estilo de preenchimento do polígono do tema. Pode retornar os seguintes valores:

0 - Transparente

1 - Sólido

2 - Horizontal

3 - Vertical

4 - FDiagonal

5 - BDiagonal

6 - Cruzado

7 - Diagonal Cruzado

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem o estilo do polígono para o tema "Theme_Setores"

Dim pol As Long

pol = TeViewManager1.getPolygonStyle("Theme_Setores")

Select Case pol

Case 0

MsgBox "O estilo do polígono é Transparente!"

Case 1

MsgBox "O estilo do polígono é Sólido!"

Case 2

MsgBox "O estilo do polígono é Horizontal!"

Case 3

MsgBox "O estilo do polígono é Vertical!"

Case 4

MsgBox "O estilo do polígono é FDiagonal!"

Case 5

MsgBox "O estilo do polígono é BDiagonal!"

Case 6

MsgBox "O estilo do polígono é Cruzado!"

Case 7

MsgBox "O estilo do polígonno é Diagonal Cruzado!"

End Select

'fecha a conexao


getPolygonContourWidth

Method GetPolygonContourWidth (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPolygonContourWidth(themeName As String) As Long

  • Descrição

Método para obter a largura da borda do polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a largura da borda do polígono

    • Retorno

Retorna a largura da borda do polígono.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem o estilo do polígono para o tema "Theme_Setores"

Dim wpol As Long

wpol = TeViewManager1.getPolygonContourWidth("Theme_Setores")

MsgBox "A largura da borda do polígono é: " + CStr(wpol)

'fecha a conexao


setPolygonColor

Method SetPolygonColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPolygonColor(themeName As String, color As OLE_COLOR) As Long

  • Descrição

Método para configurar a cor da representação polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a cor da representação polígono
color | Cor do polígono

    • Retorno

Retorna verdadeiro se possível configurar a cor do polígono.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura a cor associada à representação polígono para o tema "Theme_Setores"

Dim color As OLE_COLOR

color = 220

If TeViewManager1.setPolygonColor("Theme_Setores", color) Then

MsgBox "Configuração de cor realizada!"

Else

MsgBox "Falha ao configurar cor!"

End If

'fecha a conexao


setPolygonContourWidth

Method SetPolygonContourWidth (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPolygonContourWidth(themeName As String, width As Long) As Long

  • Descrição

Método para configurar a largura da borda de um polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a largura da borda do polígono
width | Largura desejada para configurar a borda do polígono

    • Retorno

Retorna a verdadeiro se possível configurar a largura da borda do polígono.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura a largura da borda de um polígono para o tema "Theme_Setores"

If TeViewManager1.setPolygonContourWidth("Theme_Setores", 3) Then

MsgBox "Configuração da largura da borda do polígono realizada!"

Else

MsgBox "Falha ao configurar largura da borda do polígono!"

End If

'fecha a conexao


setPolygonStyle

Method SetPolygonStyle (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPolygonStyle(themeName As String, style As Long) As Long

  • Descrição

Método para configurar o estilo de preenchimento do polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o estilo do polígono
style | Estilo de preenchimento do polígono. Pode possuir os seguintes valores: 0 - Transparente 1 - Sólido 2 - Horizontal 3 - Vertical 4 - FDiagonal 5 - BDiagonal 6 - Cruzado 7 - Diagonal Cruzado

    • Retorno

Retorna verdadeiro se possível configurar o estilo de preenchimento do polígono.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura o estilo de preenchimento de um polígono como Diagonal Cruzado para o tema "Theme_Setores"

If TeViewManager1.setPolygonStyle("Theme_Setores", 7) Then

MsgBox "Configuração de estilo de preenchimento do polígono realizada!"

Else

MsgBox "Falha ao configurar estilo de preenchimento do polígono!"

End If

'fecha a conexao


existPoint

Method ExistPoint (TeViewManager)

  • Visual Basic Sintaxe:

      • method existPoint(themeName As String) As Long

  • Descrição

Método para verificar se existe a representação ponto para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação ponto

    • Retorno

Retorna verdadeiro se existir a representação ponto para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'verifica a existência da representação ponto para o tema "Theme_pontos"

If TeViewManager1.existPoint("Theme_pontos") Then

MsgBox "Existe representação ponto para o tema!"

Else

MsgBox "Não existe representação ponto para o tema!"

End If

'fecha a conexao


visiblePoint

Method VisiblePoint (TeViewManager)

  • Visual Basic Sintaxe:

      • method visiblePoint(themeName As String) As Long

  • Descrição

Método para verificar se a representação ponto está visível para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação ponto

    • Retorno

Retorna verdadeiro se a representação ponto estiver visível para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'verifica se a representação ponto está visível para o tema "Theme_pontos"

If TeViewManager1.visiblePoint("Theme_pontos") Then

MsgBox "A representação ponto está visível para o tema!"

Else

MsgBox "A representação ponto não está visível para o tema!"

End If

'fecha a conexao


getPointStyle

Method GetPointStyle (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPointStyle(themeName As String) As Long

  • Descrição

Método para obter o estilo de plotagem de um ponto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurado o estilo do ponto

    • Retorno

Retorna o estilo de preenchimento do ponto do tema. Pode retornar os seguintes valores:

0 - Plus

1 - Estrela

2 - Círculo

3 - X

4 - Quadrado

5 - Losango

6 - Círculo Vazado

7 - Quadrado Vazado

8 - Losango Vazado

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'obtem o estilo do ponto para o tema "Theme_pontos"

Dim point As Long

point = TeViewManager1.getPointStyle("Theme_pontos")

Select Case point

Case 0

MsgBox "O estilo do ponto é Plus!"

Case 1

MsgBox "O estilo do ponto é Estrela!"

Case 2

MsgBox "O estilo do ponto é Círculo!"

Case 3

MsgBox "O estilo do ponto é X!"

Case 4

MsgBox "O estilo do ponto é Quadrado!"

Case 5

MsgBox "O estilo do ponto é Losango!"

Case 6

MsgBox "O estilo do ponto é Círculo Vazado!"

Case 7

MsgBox "O estilo do ponto é Quadrado Vazado!"

Case 8

MsgBox "O estilo do ponto é Losango Vazado!"

End Select

'fecha a conexao


getPointColor

Method GetPointColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPointColor(themeName As String) As OLE_COLOR

  • Descrição

Método para obter a cor associada à representação ponto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a cor associada à representação ponto

    • Retorno

Retorna a cor associada à representação ponto do tema, no formato OLE_COLOR.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'obtem a cor associada ao ponto para o tema "Theme_pontos"

Dim color As OLE_COLOR

color = TeViewManager1.getPointColor("Theme_pontos")

'fecha a conexao


getPointSize

Method GetPointSize (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPointSize(themeName As String) As Long

  • Descrição

Método para obter o tamanho de uma representação ponto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada o tamanho da representação ponto

    • Retorno

Retorna o tamanho da representação ponto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'obtem o tamanho do ponto para o tema "Theme_pontos"

Dim size As Long

size = TeViewManager1.getPointSize("Theme_pontos")

MsgBox "O tamanho do ponto é: " + CStr(size)

'fecha a conexao


setPointColor

Method SetPointColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPointColor(themeName As String, color As OLE_COLOR) As Long

  • Descrição

Método para configurar a cor da representação ponto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a cor da representação polígono
color | Cor do ponto

    • Retorno

Retorna verdadeiro se possível configurar a cor do ponto.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'configura a cor associada ao ponto para o tema "Theme_pontos"

Dim color As Long

color = 220

If TeViewManager1.setPointColor("Theme_pontos", color) Then

MsgBox "Configuração da cor do ponto realizada!"

Else

MsgBox "Falha na configuração da cor do ponto!"

End If

'fecha a conexao


setPointSize

Method SetPointSize (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPointSize(themeName As String, size As Long) As Long

  • Descrição

Método para configurar o tamanho de uma representação ponto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o tamanho da representação ponto
size | Tamanho do ponto

    • Retorno

Retorna verdadeiro se possível configurar o tamanho da representação ponto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'configura o tamanho do ponto para o tema "Theme_pontos"

If TeViewManager1.setPointSize("Theme_pontos", 5) Then

MsgBox "Configuração do tamanho do ponto realizada!"

Else

MsgBox "Falha na configuração do tamanho do ponto!"

End If

'fecha a conexao


setPointStyle

Method SetPointStyle (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPointStyle(themeName As String, style As Long) As Long

  • Descrição

Método para configurar o estilo de plotagem de um ponto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o estilo do polígono
style | Estilo de plotagem do ponto. Pode possuir os seguintes valores: 0 - Plus 1 - Estrela 2 - Círculo 3 - X 4 - Quadrado 5 - Losango 6 - Círculo Vazado 7 - Quadrado Vazado 8 - Losango Vazado

    • Retorno

Retorna verdadeiro se possível configurar o estilo de plotagem do ponto.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'configura o estilo de plotagem do ponto para o tema "Theme_pontos"

If TeViewManager1.setPointStyle("Theme_pontos", 1) Then

MsgBox "Configuração do estilo de plotagem do ponto realizada!"

Else

MsgBox "Falha na configuração do estilo de plotagem do ponto!"

End If

'fecha a conexao


setActiveView

Method SetActiveView (TeViewManager)

  • Visual Basic Sintaxe:

      • method setActiveView(viewName As String) As Long

  • Descrição

Método para configurar em memória uma vista como a vista ativa, de acordo com o nome da mesma armazenada no banco de dados.

    • Parâmetros

Parâmetro | Descrição
viewName | Nome da vista a ser configurada como vista ativa

    • Retorno

Retorna verdadeiro se possível configurar a vista como vista ativa.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

If TeViewManager1.setActiveView("View_pontos") Then

MsgBox "Vista ativada!"

Else

MsgBox "Falah ao ativar vista!"

End If

'fecha a conexao


getMinScale

Method GetMinScale (TeViewManager)

  • Visual Basic Sintaxe:

      • method getMinScale(themeName As String) As Double

  • Descrição

Método para obter a mínima escala de um dado tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a obter a mínima escala

    • Retorno

Retorna a mínima escala do tema especificado.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem a mínima escala do tema "Theme_Setores"

Dim minscale As Double

minscale = TeViewManager1.getMinScale("Theme_Setores")

MsgBox "A mínima escala do tema é: " + CStr(minscale)

'fecha a conexao


getMaxScale

Method GetMinScale (TeViewManager)

  • Visual Basic Sintaxe:

      • method getMaxScale(themeName As String) As Double

  • Descrição

Método para obter a máxima escala de um dado tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a obter a máxima escala

    • Retorno

Retorna a máxima escala do tema especificado.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem a máxima escala do tema "Theme_Setores"

Dim maxscale As Double

maxscale = TeViewManager1.getMaxScale("Theme_Setores")

MsgBox "A máxima escala do tema é: " + CStr(maxscale)

'fecha a conexao


setMinScale

Method SetMinScale (TeViewManager)

  • Visual Basic Sintaxe:

      • method setMinScale(themeName As String, minScale As Double) As Long

  • Descrição

Método para configurar a mínima escala de um dado tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a configurar a mínima escala
minScale | Valor da mínima escala

    • Retorno

Retorna verdadeiro se possível configurar a mínima escala do tema especificado.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura a mínima escala do tema "Theme_Setores"

If TeViewManager1.setMinScale("Theme_Setores", 5.5) Then

MsgBox "Mínima escala configurada!"

Else

MsgBox "Falha ao configurar mínima escala!"

End If

'fecha a conexao


setMaxScale

Method SetMaxScale (TeViewManager)

  • Visual Basic Sintaxe:

      • method setMaxScale(themeName As String, minScale As Double) As Long

  • Descrição

Método para configurar a máxima escala de um dado tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a configurar a máxima escala
minScale | Valor da máxima escala

    • Retorno

Retorna verdadeiro se possível configurar a máxima escala do tema especificado.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura a máxima escala do tema "Theme_Setores"

If TeViewManager1.setMaxScale("Theme_Setores", 9.9) Then

MsgBox "Máxima escala configurada!"

Else

MsgBox "Falha ao configurar máxima escala!"

End If

'fecha a conexao


moveUp

Method MoveUp (TeViewManager)

  • Visual Basic Sintaxe:

      • method moveUp(themeName As String) As Long

  • Descrição

Método para configurar um tema para uma prioridade maior para plotagem.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a configurar prioridade maior

    • Retorno

Retorna verdadeiro se possível configurar uma prioridade maior para a plotagem do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura o tema "Theme_Setores" para possuir uma prioridade maior de plotagem

If TeViewManager1.moveUp("Theme_Setores") Then

MsgBox "Maior prioridade configurada!"

Else

MsgBox "Falha ao configurar maior prioridade!"

End If

'fecha a conexao


moveDown

Method MoveDown (TeViewManager)

  • Visual Basic Sintaxe:

      • method moveDown(themeName As String) As Long

  • Descrição

Método para configurar um tema para uma prioridade menor para plotagem.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a configurar prioridade menor

    • Retorno

Retorna verdadeiro se possível configurar uma prioridade menor para a plotagem do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura o tema "Theme_Setores" para possuir uma prioridade menor de plotagem

If TeViewManager1.moveDown("Theme_Setores") Then

MsgBox "Menor prioridade configurada!"

Else

MsgBox "Falha ao configurar menor prioridade!"

End If

'fecha a conexao


addTheme

Method AddTheme (TeViewManager)

  • Visual Basic Sintaxe:

      • method addTheme(layerName As String, themeName As String) As Long

  • Descrição

Método para adicionar um plano de informação e um novo tema à vista corrente. Este método apenas adicionada a vista ao tema, não salvando a mesma no banco de dados.

    • Parâmetros

Parâmetro | Descrição
layerName | Nome do plano de informação contendo o tema
themeName | Nome do novo tema a ser criado

    • Retorno

Retorna verdadeiro se possível adicionar um novo tema à vista corrente.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'adiciona um novo tema chamado "NewTheme_Setores" ao plano "Setores"

If TeViewManager1.addTheme("Setores", "NewTheme_Setores") Then

MsgBox "Novo tema adicionado!"

Else

MsgBox "Falha ao adicionar novo tema!"

End If

'fecha a conexao


removeTheme

Method RemoveTheme (TeViewManager)

  • Visual Basic Sintaxe:

      • method removeTheme(themeName As String) As Long

  • Descrição

Método para remover da memória um tema da vista corrente e adiciona-lo à uma lista de temas a serem removidos posteriormente do banco de dados.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema a ser removido da memória

    • Retorno

Retorna verdadeiro se possível remover o tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'remove da memória um tema da vista, adicionando-o à uma lista para remover posteriormente do banco de dados

If TeViewManager1.removeTheme("NewTheme_Setores") Then

MsgBox "Tema removido da memória!"

Else

MsgBox "Falha ao remover tema!"

End If

'fecha a conexao


createView

Method CreateView (TeViewManager)

  • Visual Basic Sintaxe:

      • method createView(viewName As String) As Long

  • Descrição

Método para criar somente em memória uma nova vista, sem temas.

    • Parâmetros

Parâmetro | Descrição
viewName | Nome da vista a ser criada.

    • Retorno

Retorna verdadeiro se possível criar uma nova vista em memória.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'cria uma vista chamada "View_Ruas", somente em memória

If TeViewManager1.createView("View_Ruas") Then

MsgBox "Vista criada com sucesso!"

Else

MsgBox "Falha ao criar vista!"

End If

'fecha a conexao


getPolygonContourColor

Method GetPolygonContourColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method getPolygonContourColor(themeName As String) As OLE_COLOR

  • Descrição

Método para obter a cor associada à borda do polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a cor associada à borda do polígono

    • Retorno

Retorna a cor associada à borda do polígono.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem a cor associada à borda do polígono para o tema "Theme_Setores"

Dim color As OLE_COLOR

color = TeViewManager1.getPolygonContourColor("Theme_Setores")

'fecha a conexao


setPolygonContourColor

Method SetPolygonContourColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method setPolygonContourColor(themeName As String, color As OLE_COLOR) As Long

  • Descrição

Método para configurar a cor associada à borda do polígono, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a cor associada à borda do polígono
color | Cor associada à borda do polígono

    • Retorno

Retorna verdadeiro se possível configurar a cor associada à borda do polígono.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura a cor associada à borda do polígono para o tema "Theme_Setores"

Dim color As OLE_COLOR

color = 220

If TeViewManager1.setPolygonContourColor("Theme_Setores", color) Then

MsgBox "Configuração da cor da borda do polígono realizada!"

Else

MsgBox "Falha ao configurar cor da borda do polígono!"

End If

'fecha a conexao


setThemeWhere

Method SetThemeWhere (TeViewManager)

  • Visual Basic Sintaxe:

      • method setThemeWhere(themeName As String, where As String) As Long

  • Descrição

Método para configurar uma string de restrição para a visualização do tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema
where | String de restrição para a visualização do tema, constituído pelo 'where' do SQL

    • Retorno

Retorna verdadeiro se possível configurar a restrição para o tema especificado.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura uma restrição para visualização do tema "Theme_Setores"

If TeViewManager1.setThemeWhere("Theme_Setores", " object_id = '02'") Then

MsgBox "Restrição configurada!"

Else

MsgBox "Falha ao configurar restrição!"

End If

'fecha a conexao


removeView

Method RemoveView (TeViewManager)

  • Visual Basic Sintaxe:

      • method removeView(viewName As String) As Long

  • Descrição

Método para remover do banco de dados a vista especificada.

    • Parâmetros

Parâmetro | Descrição
viewName | Nome da vista a ser removida.

    • Retorno

Retorna verdadeiro se possível remover a vista.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'remove do banco de dados a vista especificada

If TeViewManager1.removeView("View_waterline") Then

MsgBox "Vista removida com sucesso!"

Else

MsgBox "Falha ao remover vista!"

End If

'fecha a conexao


saveAsLastView

Method RemoveView (TeViewManager)

  • Visual Basic Sintaxe:

      • method saveAsLastView(viewName As String) As Long

  • Descrição

Método para salvar no banco de dados uma vista como ativa.

    • Parâmetros

Parâmetro | Descrição
viewName | Nome da vista a ser salva como ativa.

    • Retorno

Retorna verdadeiro se possível salvar a vista como ativa no banco de dados.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'salva a vista "View_Setores" como ativa no banco de dados

If TeViewManager1.saveAsLastView("View_Setores") Then

MsgBox "Vista salva com sucesso!"

Else

MsgBox "Falha ao salvar vista!"

End If

'fecha a conexao


existText

Method ExistText (TeViewManager)

  • Visual Basic Sintaxe:

      • method existText(themeName As String) As Long

  • Descrição

Método para verificar se existe a representação texto para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação texto

    • Retorno

Retorna verdadeiro se existir a representação texto para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'verifica se existe a representação texto para o tema "Theme_Text"

If TeViewManager1.existText("Theme_Text") Then

MsgBox "Existe a representação texto para o tema!"

Else

MsgBox "Não existe a representação texto para o tema!"

End If

'fecha a conexao


visibleText

Method VisibleText (TeViewManager)

  • Visual Basic Sintaxe:

      • method visibleText(themeName As String) As Long

  • Descrição

Método para verificar se a representação texto está visível para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação texto

    • Retorno

Retorna verdadeiro se a representação texto estiver visível para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_texto" como a vista ativa

TeViewManager1.setActiveView "View_texto"

'verifica se a representação texto está visível para o tema "Theme_texto"

If TeViewManager1.visibleText("Theme_texto") Then

MsgBox "A representação texto está visível para o tema!"

Else

MsgBox "A representação texto não está visível para o tema!"

End If

'fecha a conexao


getTextColor

Method GetTextColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method getTextColor(themeName As String) As OLE_COLOR

  • Descrição

Método para obter a cor associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a cor associada à representação texto

    • Retorno

Retorna a cor associada à representação texto do tema, no formato OLE_COLOR.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'obtem a cor associada à representação texto para o tema "Theme_Text"

Dim color As OLE_COLOR

color = TeViewManager1.getTextColor("Theme_Text")

MsgBox color

'fecha a conexao


getFontName

Method GetFontName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getFontName(themeName As String) As String

  • Descrição

Método para obter o tipo da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurado o tipo da fonte associada à representação texto

    • Retorno

Retorna o tipo da fonte associada à representação texto do tema, no formato OLE_COLOR.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'obtem o tipo da fonte associada à representação texto para o tema "Theme_Text"

Dim font As String

font = TeViewManager1.getFontName("Theme_Text")

MsgBox "A representação texto possui a fonte: " + CStr(font)

'fecha a conexao


getFontSize

Method GetFontName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getFontName(themeName As String) As String

  • Descrição

Método para obter o tamanho da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurado o tamanho da fonte associada à representação texto

    • Retorno

Retorna o tamanho da fonte associada à representação texto do tema, no formato OLE_COLOR.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'obtem o tamanho da fonte associada à representação texto para o tema "Theme_Text"

Dim size As String

size = TeViewManager1.getFontSize("Theme_Text")

MsgBox "A representação texto possui a fonte tamanho: " + CStr(size)

'fecha a conexao


setVisiblePolygonStatus

Method SetVisiblePolygonStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method setVisiblePolygonStatus(themeName As String, visibleStatus As Long)

  • Descrição

Método para configurar a representação polígono como visível ou não para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a visibilidade da representação polígono
visibleStatus | Indica se a representação será configurada como visível para o tema ou não.

    • Retorno

Retorna verdadeiro se possível configurar a visibilidade da representação polígono para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'configura a representação polígono como visível para o tema "Theme_Text"

TeViewManager1.setVisiblePolygonStatus "Theme_Text", 1

MsgBox "Visibilidade da representação polígono configurada!"

'fecha a conexao


setVisibleLineStatus

Method SetVisibleLineStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method setVisibleLineStatus(themeName As String, visibleStatus As Long)

  • Descrição

Método para configurar a representação linha como visível ou não para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a visibilidade da representação linha
visibleStatus | Indica se a representação será configurada como visível para o tema ou não.

    • Retorno

Retorna verdadeiro se possível configurar a visibilidade da representação linha para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_waterline" como a vista ativa

TeViewManager1.setActiveView "View_waterline"

'configura a representação linha como visível para o tema "Theme_waterline"

TeViewManager1.setVisibleLineStatus "Theme_waterline", 1

MsgBox "Visibilidade da representação linha configurada!"

'fecha a conexao


setVisiblePointStatus

Method SetVisiblePointStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method setVisiblePointStatus(themeName As String, visibleStatus As Long)

  • Descrição

Método para configurar a representação ponto como visível ou não para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a visibilidade da representação ponto
visibleStatus | Indica se a representação será configurada como visível para o tema ou não.

    • Retorno

Retorna verdadeiro se possível configurar a visibilidade da representação ponto para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_pontos" como a vista ativa

TeViewManager1.setActiveView "View_pontos"

'configura a representação linha como visível para o tema "Theme_pontos"

TeViewManager1.setVisibleLineStatus "Theme_pontos", 1

MsgBox "Visibilidade da representação ponto configurada!"

'fecha a conexao


setVisibleTextStatus

Method SetVisibleTextStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method setVisibleTextStatus(themeName As String, visibleStatus As Long)

  • Descrição

Método para configurar a representação texto como visível ou não para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a visibilidade da representação texto
visibleStatus | Indica se a representação será configurada como visível para o tema ou não.

    • Retorno

Retorna verdadeiro se possível configurar a visibilidade da representação texto para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_texto" como a vista ativa

TeViewManager1.setActiveView "View_texto"

'configura a representação linha como visível para o tema "Theme_texto"

TeViewManager1.setVisibleLineStatus "Theme_texto", 1

MsgBox "Visibilidade da representação texto configurada!"

'fecha a conexao


setTextColor

Method SetTextColor (TeViewManager)

  • Visual Basic Sintaxe:

      • method setTextColor(themeName As String, color As OLE_COLOR) As Long

  • Descrição

Método para configurar a cor da representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a cor da representação texto
color | Cor do texto

    • Retorno

Retorna verdadeiro se possível configurar a cor do texto.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_texto" como a vista ativa

TeViewManager1.setActiveView "View_texto"

'configura a cor associada ao ponto para o tema "Theme_texto"

Dim color As Long

color = 220

If TeViewManager1.setTextColor("Theme_pontos", color) Then

MsgBox "Configuração da cor do texto realizada!"

Else

MsgBox "Falha na configuração da texto do ponto!"

End If

'fecha a conexao


setFontName

Method SetFontName (TeViewManager)

  • Visual Basic Sintaxe:

      • method setFontName(themeName As String, fontName As String) As Long

  • Descrição

Método para configurar o tipo da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o tipo da fonte associada à representação texto
fontName | Tipo da fonte

    • Retorno

Retorna verdadeiro se possível configurar o nome da fonte associada à representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'configura o tipo da fonte associada à representação texto para o tema "Theme_Text"

If TeViewManager1.setFontName("Theme_Text", "Arial") Then

MsgBox "Tipo de fonte configurada!"

Else

MsgBox "Falha ao configurar fonte!"

End If

'fecha a conexao


setFontSize

Method SetFontSize (TeViewManager)

  • Visual Basic Sintaxe:

      • method setFontSize(themeName As String, size As Long) As Long

  • Descrição

Método para configurar o tamanho da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o tamanho da fonte associada à representação texto
size | Tamanho da fonte

    • Retorno

Retorna verdadeiro se possível configurar o tamanho da fonte associada à representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'configura o tamanho da fonte associada à representação texto para o tema "Theme_Text"

If TeViewManager1.setFontSize("Theme_Text", 16) Then

MsgBox "Tamanho da fonte configurada!"

Else

MsgBox "Falha ao configurar fonte!"

End If

'fecha a conexao


existRaster

Method ExistRaster (TeViewManager)

  • Visual Basic Sintaxe:

      • method existRaster(themeName As String) As Long

  • Descrição

Método para verificar se existe a representação raster para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação raster

    • Retorno

Retorna verdadeiro se existir a representação raster para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_raster" como a vista ativa

TeViewManager1.setActiveView "View_raster"

'verifica se existe a representação raster para o tema "Theme_raster"

If TeViewManager1.existRaster("Theme_raster") Then

MsgBox "Existe representação raster para o tema!"

Else

MsgBox "Não existe representação raster para o tema!"

End If

'fecha a conexao


setVisibleRasterStatus

Method SetVisibleRasterStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method setVisibleRasterStatus(themeName As String, visibleStatus As Long)

  • Descrição

Método para configurar a representação raster como visível ou não para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurada a visibilidade da representação raster
visibleStatus | Indica se a representação será configurada como visível para o tema ou não.

    • Retorno

Retorna verdadeiro se possível configurar a visibilidade da representação raster para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_raster" como a vista ativa

TeViewManager1.setActiveView "View_raster"

'configura a representação texto como visível para o tema "Theme_raster"

TeViewManager1.setVisibleRasterStatus "Theme_raster", 1

MsgBox "Visibilidade da representação raster configurada!"

'fecha a conexao


visibleRaster

Method VisibleRaster (TeViewManager)

  • Visual Basic Sintaxe:

      • method visibleRaster(themeName As String) As Long

  • Descrição

Método para verificar se a representação raster está visível para o Tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser procurada a representação raster

    • Retorno

Retorna verdadeiro se a representação raster estiver visível para o Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_raster" como a vista ativa

TeViewManager1.setActiveView "View_raster"

'verifica se a representação raster está visível para o tema "Theme_raster"

If TeViewManager1.visibleRaster("Theme_raster") Then

MsgBox "A representação raster está visível para o tema!"

Else

MsgBox "A representação raster não está visível para o tema!"

End If

'fecha a conexao


getThemeWhere

Method GetThemeWhere (TeViewManager)

  • Visual Basic Sintaxe:

      • method getThemeWhere(themeName As String) As String

  • Descrição

Método para obter a string de restrição configurada para a visualização do tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do tema

    • Retorno

Retorna a string de restrição configurada para a visualização do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem a string de restrição configurada para visualização do tema "Theme_Setores"

Dim where As String

where = TeViewManager1.getThemeWhere("Theme_Setores")

MsgBox "A restrição where é: " + CStr(where)

'fecha a conexao


getThemeLayerName

Method GetThemeLayerName (TeViewManager)

  • Visual Basic Sintaxe:

      • method getThemeLayerName(themeName As String) As String

  • Descrição

Método para obter o nome de um Plano de Informação associado ao tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema contido no Plano de Informação

    • Retorno

Retorna o nome do Plano de Informação associado ao tema, de acordo com as informações fornecidas.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'obtem o nome do plano referente ao tema "Theme_Setores"

Dim layername As String

layername = TeViewManager1.getThemeLayerName("Theme_Setores")

MsgBox "O nome do plano referente ao tema é: " + CStr(layername)

'fecha a conexao


setTextFont

Method SetTextFont (TeViewManager)

  • Visual Basic Sintaxe:

      • method setTextFont(themeName As String, font As String) As Long

  • Descrição

Método para configurar o tipo da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o tipo da fonte associada à representação texto
font | Tipo da fonte

    • Retorno

Retorna verdadeiro se possível configurar o nome da fonte associada à representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Texto" como a vista ativa

TeViewManager1.setActiveView "View_Texto"

'configura o tipo da fonte associada à representação texto para o tema "Theme_Texto"

If TeViewManager1.setTextFont("Theme_Texto", "Arial") Then

MsgBox "Tipo de fonte configurada!"

Else

MsgBox "Falha ao configurar fonte!"

End If

'fecha a conexao


setTextSize

Method SetTextSize (TeViewManager)

  • Visual Basic Sintaxe:

      • method setTextSize(themeName As String, size As Long) As Long

  • Descrição

Método para configurar o tamanho da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o tamanho da fonte associada à representação texto
size | Tamanho da fonte

    • Retorno

Retorna verdadeiro se possível configurar o nome da fonte associada à representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Texto" como a vista ativa

TeViewManager1.setActiveView "View_Texto"

'configura o tamanho da fonte associada à representação texto para o tema "Theme_Texto"

If TeViewManager1.setTextSize("Theme_Texto", 16) Then

MsgBox "Tamanho de fonte configurado!"

Else

MsgBox "Falha ao configurar fonte!"

End If

'fecha a conexao


getTextSize

Method GetTextSize (TeViewManager)

  • Visual Basic Sintaxe:

      • method getTextSize(themeName As String) As Long

  • Descrição

Método para verificar o tamanho da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser verificado o tamanho da fonte associada à representação texto

    • Retorno

Retorna o tamanho da fonte associada à representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'verifica o tamanho da fonte associada ao texto do tema "Theme_Text"

Dim size As Long

size = TeViewManager1.getTextSize("Theme_Text")

MsgBox "O tamanho da fonte é: " + CStr(size)

'fecha a conexao


getTextFont

Method GetTextFont (TeViewManager)

  • Visual Basic Sintaxe:

      • method getTextFont(themeName As String) As String

  • Descrição

Método para verificar o tipo da fonte associada à representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser verificado o tipo da fonte associada à representação texto

    • Retorno

Retorna o tipo da fonte associada à representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'verifica o tamanho da fonte associada ao texto do tema "Theme_Text"

Dim fontname As String

fontname = TeViewManager1.getTextFont("Theme_Text")

MsgBox "O tipo da fonte é: " + CStr(fontname)

'fecha a conexao


setTextBold

Method SetTextBold (TeViewManager)

  • Visual Basic Sintaxe:

      • method setTextBold(themeName As String, bold As Long) As Long

  • Descrição

Método para formatar o texto como negrito, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o texto como negrito
bold | Indica se o texto será configurado como negrito, ou será retirado o negrito

    • Retorno

Retorna verdadeiro se possível configurar o negrito do texto.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'configura o negrito do texto para o tema "Theme_Text"

If TeViewManager1.setTextBold("Theme_Text", 1) Then

MsgBox "Configurado o negrito do texto!"

Else

MsgBox "Falha ao configurar negrito!"

End If

'fecha a conexao


setTextitalic

Method SetTextItalic (TeViewManager)

  • Visual Basic Sintaxe:

      • method setTextitalic(themeName As String, italic As Long) As Long

  • Descrição

Método para formatar o texto como itálico, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o texto como itálico
bold | Indica se o texto será configurado como itálico, ou será retirado o itálico

    • Retorno

Retorna verdadeiro se possível configurar o itálico do texto.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'configura o itálico do texto para o tema "Theme_Text"

If TeViewManager1.setTextitalic("Theme_Text", 1) Then

MsgBox "Configurado o itálico do texto!"

Else

MsgBox "Falha ao configurar itálico!"

End If

'fecha a conexao


getTextBold

Method GetTextBold (TeViewManager)

  • Visual Basic Sintaxe:

      • method getTextBold(themeName As String) As Long

  • Descrição

Método para verificar se o texto está formatado como negrito, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser verificado o negrito do texto

    • Retorno

Retorna verdadeiro caso o texto esteja formatado como negrito.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'verifica se o texto está formatado como negrito para o tema "Theme_Text"

If TeViewManager1.getTextBold("Theme_Text") Then

MsgBox "Texto está formatado como negrito!"

Else

MsgBox "Texto não está formatado como negrito!"

End If

'fecha a conexao


getTextItalic

Method GetTextItalic (TeViewManager)

  • Visual Basic Sintaxe:

      • method getTextItalic(themeName As String) As Long

  • Descrição

Método para verificar se o texto está formatado como itálico, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser verificado o itálico do texto

    • Retorno

Retorna verdadeiro caso o texto esteja formatado como itálico.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'verifica se o texto está formatado como itálico para o tema "Theme_Text"

If TeViewManager1.getTextItalic("Theme_Text") Then

MsgBox "Texto está formatado como itálico!"

Else

MsgBox "Texto não está formatado como itálico!"

End If

'fecha a conexao


setVisibleThemeStatus

Method SetVisibleThemeStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method setVisibleThemeStatus(themeName As String, [status As Long = 1]) As Long

  • Descrição

Método para configurar o estado de visualização do tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o estado de visualização
status | Indica se deve ser visualizado ou não. Valor padrão: 1 - True

    • Retorno

Retorna verdadeiro se possível configurar o estado de visualização do Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'configura o estado de visualização do tema "Theme_pontos"

If TeViewManager1.setVisibleThemeStatus("pontos", 1) Then

MsgBox "Estado de visualização configurada para o tema!"

Else

MsgBox "Falha ao configurar estado de visualização!"

End If

'fecha a conexao


visibleThemeStatus

Method VisibleThemeStatus (TeViewManager)

  • Visual Basic Sintaxe:

      • method visibleThemeStatus(themeName As String) As Long

  • Descrição

Método para verifica o estado de visualização do tema especificado.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser verificado o estado de visualização

    • Retorno

Retorna verdadeiro se possível verificar o estado de visualização do Tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Setores" como a vista ativa

TeViewManager1.setActiveView "View_Setores"

'verifica o estado de visualização do tema "Theme_Setores"

If TeViewManager1.setVisibleThemeStatus("Theme_Setores") Then

MsgBox "O estado de visualização do tema está ativado!"

Else

MsgBox "O estao de visualização do tema não está ativado!"

End If

'fecha a conexao


setTextJustification

Method SetTextJustification (TeViewManager)

  • Visual Basic Sintaxe:

      • method setTextJustification(themeName As String, horiz As Long, vert As Long) As Long

  • Descrição

Método para configurar o alinhamento de plotagem da representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
themeName | Nome do Tema a ser configurado o alinhamento de plotagem da representação texto
horiz | Indica se será realizado o alinhamento horizontal
vert | Indica se será realizado o alinhamento vertical

    • Retorno

Retorna verdadeiro se possível configurar o alinhamento de plotagem da representação texto do tema.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'configura a vista "View_Text" como a vista ativa

TeViewManager1.setActiveView "View_Text"

'configura o alinhamento de plotagem do texto do tema "Theme_Text"

If TeViewManager1.setTextJustification("Theme_Text", 1, 0) Then

MsgBox "Alinhamento de texto configurado!"

Else

MsgBox "Falha ao configurar alinhamento de texto!"

End If

'fecha a conexao


createAgroupedThemes

Method CreateAgroupedThemes (TeViewManager)

  • Visual Basic Sintaxe:

      • method createAgroupedThemes(viewName As String, layerName As String, fieldName As String, [groupType As TeGroup = Equal], [steps As Integer = 5]) As Boolean

  • Descrição

Método para criar um novo tema, com restrições, funcionando como um agrupamento. o alinhamento de plotagem da representação texto, de acordo com o nome do Tema.

    • Parâmetros

Parâmetro | Descrição
viewName | Nome da vista a ser criada ou utilizada para adicionar um novo tema
layerName | Nome do Plano de Informação contendo a vista
fieldName | Nome do campo da tabela de atributos a ser utilizado para realizar o agrupamento
groupType | Tipo de agrupamento. Pode possuir os seguintes valores: Equal - Gera n grupos contendo o mesmo range de valores em cada grupo Quantil - Gera n grupos contendo o mesmo número de objetos em cada grupo StdDeviation - Gera grupos que são separados pelo valor do desvio padrão UniqueValue - Gera grupos que possuem valores distintos
steps | Passos de agrupamento. Para os dois primeiros tipos de agrupamento, indica quantos grupos serão gerados. Para o terceiro tipo de agrupamento, indica o valor do desvio padrão. Deve ser 1, 0.5 ou 0.25. Para o último agrupamento, o valor de passos não influencia, pois gera grupos de valores distintos.

    • Retorno

Retorna verdadeiro se possível possível criar o novo tema agrupado, de acordo com as informações fornecidas.

  • Exemplo:

Option Explicit

Private Sub Command1_Click()

'variavel de conexao do banco de dados

Dim conexao As New ADODB.Connection

'estabelece a comunicação com o banco de dados

conexao.Open "Provider=SQLOLEDB.1;Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=vmanager;Data Source=localhost"

'configura o usuário do banco de dados

TeViewManager1.UserName = "sa"

'configura o provider do banco de dados

TeViewManager1.Provider = 1

'configura o componente para a conexao com o banco de dados

TeViewManager1.Connection = conexao

'inicialização do componente

TeViewManager1.start

'realiza o agrupamento de temas, por partes iguais, no plano "Setores", criando uma nova vista

If TeViewManager1.createAgroupedThemes("Setores_Vista", "Setores", "Area", Equal, 5) Then

MsgBox "Agrupamento de temas criados com sucesso!"

Else

MsgBox "Falha ao realizar agrupamento de temas!"

End If

'fecha a conexao


Suporte

SUPORTE

Para dúvidas e sugestões, favor entrar em contato com nosso suporte técnico.

Telefones

+55 12 3925-1395

+55 12 3925-1385

Fax

+55 12 3925-1387

Grupo de Desenvolvimento

      • Alessandra Siqueira
      • Kelly Kinoshita
      • Rui Maurício
      • Wellington Carneiro


Apoio

Copyright © 2006, FUNCATE

This help file has been generated by the freeware version of HelpNDoc